Skip to content

getSuppliers

READ

Get suppliers.

POST /api/v1/purchasing/getSuppliers
curl -X POST '<your-host>/api/v1/purchasing/getSuppliers' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "accountManagerId": "string",
      "assignee": "string",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "currencyCode": "string",
      "customFields": "…",
      "defaultCc": [
        "string"
      ],
      "eori": "string",
      "externalId": "…",
      "fax": "string",
      "id": "string",
      "logo": "string",
      "name": "string",
      "orderCount": 0,
      "partCount": 0,
      "phone": "string",
      "purchasingContactId": "string",
      "readableId": "string",
      "status": "Pending",
      "supplierTypeId": "string",
      "tags": [
        "string"
      ],
      "taxId": "string",
      "taxPercent": 0,
      "type": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "vatNumber": "string",
      "website": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {
          "type": [
            "string",
            "null"
          ]
        },
        "status": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}